<div style="margin-top: 20px;">
    <div class="container">
        <div class="row" [hidden]="!simulasiCreditResult">
            <div class="col-md-12">    
                <h5>
                    <span jhiTranslate="mpmApp.simulasiCredit.home.title">Simulasi Credit</span>
                </h5>              
            <label class="form-control-label" jhiTranslate="mpmApp.simulasiCredit.home.titleDetail" for="field_dateCreated">Unit</label>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.simulasiCredit.unit" for="field_dateCreated">Unit</label>
                    <select class="form-control" id="field_motor" name="motor" (change)="selectMotor(true)" [(ngModel)]="simulasiCredit.productId" (change)="selectLeasing()">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors; trackBy: trackMotorById">{{motorOption.name}}</option>
                    </select>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.simulasiCredit.leasing" for="field_dateCreated">Leasing</label>
                    <select class="form-control" id="field_lesing" name="lesing" (change)="selectLeasing()" [(ngModel)]="simulasiCredit.leasingCompanyId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="option.idPartyRole" *ngFor="let option of leasingCompanies; trackBy: trackLeasingCompanyById">{{option.partyName}}</option>
                    </select>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.simulasiCredit.tenor" for="field_dateCreated">Tenor</label>
                    <select class="form-control" id="field_internal" name="internal" [(ngModel)]="simulasiCredit.tenor" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="tenorOption.idLeasingProvide" *ngFor="let tenorOption of tenors;">{{tenorOption}} Bulan</option>
                    </select>
                </div>
            </div>
            <div class="col-md-12">
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.simulasiCredit.find" for="field_dateCreated">Cari Berdasarkan</label>
                    <select class="form-control" id="field_internal" name="internal" [(ngModel)]="simulasiCredit.saleTye" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="saleTypeOption.id" *ngFor="let saleTypeOption of saletypes; trackBy: trackSaleTypeById">{{saleTypeOption.description}}</option>
                    </select>
                </div>
            </div>
            <div class="col-md-12">
            Jumlah
            </div>
            <hr style="margin-top:50px">
            <div class="col-md-12">
                <button type="button" class="btn btn-primary btn-block" (click)="btnSimulasi()" [disabled]="!simulasiCredit.productId || !simulasiCredit.saleTye || !simulasiCredit.leasingCompanyId">SIMULASI KREDIT</button>
            </div>
            <hr style="margin-top:50px">
            <div class="col-md-12">
                <button type="button" class="btn btn-primary btn-block" (click)="btnbacksimulasi()" > KEMBALI </button>
            </div>
        </div>
        <div class="row simulasi-credit" [hidden]="simulasiCreditResult">
            <div>
                <h5>
                    <span jhiTranslate="mpmApp.simulasiCredit.home.result">Status Types</span>
                </h5>
            </div>
            
            <div class="shipment-incoming-detail buttonsimulasi">
                <p-fieldset>
                    <p-header>Custom Legend Content</p-header>
                    <div class="row">
                        <div class="col-md-6 col-sm-6 col-6">Nama unit</div>
                        <div class="col-md-6 col-sm-6 col-6">: {{dataMotor}}</div>
                        <div class="col-md-6 col-sm-6 col-6">Harga unit</div>
                        <div class="col-md-6 col-sm-6 col-6">: {{dataHarga}}</div>
                        <div class="col-md-6 col-sm-6 col-6">Leasing</div>
                        <div class="col-md-6 col-sm-6 col-6">: {{dataLeasing}}</div>
                        <div *ngFor="let tenor of tempLeasingTenorProvides" class="col-md-12 col-sm-12 col-12">
                            <div class="row">
                                <hr class="hrwidth">
                                <div class="col-md-6 col-sm-6 col-6">Tenor</div>
                                <div class="col-md-6 col-sm-6 col-6">: {{tenor.tenor}} Bulan</div>
                                <div class="col-md-6 col-sm-6 col-6">Cicilan Perbulan</div>
                                <div class="col-md-6 col-sm-6 col-6">: {{tenor.installment}}</div>
                                <div class="col-md-6 col-sm-6 col-6">Uang muka</div>
                                    <div class="col-md-6 col-sm-6 col-6">: {{tenor.downPayment}}
                                    <p-radioButton 
                                        name="tenor" 
                                        [ngValue]="tenor.idLeasingProvide" 
                                        [(ngModel)]="selected" 
                                        class="pull-right">
                                    </p-radioButton>
                                </div>
                            </div>
                        </div>
                    </div>
                </p-fieldset>
                <div class="col-md-12 buttonsimulasi">
                    <hr class="hrwidth">
                    Syarat dan Kondisi<br>
                    -Semua harga yang tertera dalam mata uang Rupiah (Rp)<br>
                    -OTR Surabaya<br>
                    -Rincian kredit diatas tidak mengikat dan dapat berubah sewaktu-waktu<br>
                    -Harga diatas sudah termasuk asuransi (MPM Credit Protect)
                </div>
                <div class="col-md-12 buttonsimulasi">
                    <button type="button" class="btn btn-primary btn-block" (click)="btnCekUnit()">CEK UNIT LAIN</button>
                </div>
                <div class="col-md-12 buttonsimulasi">
                    <button type="button" class="btn btn-primary btn-block">MINAT</button>
                </div>
            </div>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>